# Poco::Data

# template < typename T >

# class LOBIOS

Library: Data
Package: DataCore
Header: Poco/Data/LOBStream.h

## Description

The base class for LOBInputStream and LOBOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

## Member Summary

Member Functions: rdbuf

## Constructors

### LOBIOS

LOBIOS(
LOB < T > & lob,
openmode mode
);

Creates the LOBIOS with the given LOB.

## Destructor

### ~LOBIOS

~LOBIOS();

Destroys the LOBIOS.

## Member Functions

### rdbuf

LOBStreamBuf < T > * rdbuf();

Returns a pointer to the internal LOBStreamBuf.

## Variables

### _buf

LOBStreamBuf < T > _buf;